%define		pkg_name	check_oracle_health
Name:		nagios-plugins-oracle
Version:	3.1.2.2
Release:	1.2
Summary:	Oracle health check plugins for Nagios
Group:		Applications/System
License:	GPL
URL:		http://www.consol.de/opensource/nagios/check-oracle-health
Source0:	http://www.consol.de/fileadmin/opensource/Nagios/%{pkg_name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Prefix:		%{_prefix}/lib/nagios/plugins

Provides:	check-oracle-health
Provides:	check_oracle_health
PreReq: sed

BuildRequires:	perl-DBI perl-DBD-Oracle

%description
check_oracle_health is a plugin to check different paramenters of an oracle database.

%description(de)
check_oracle_health ist ein Plugin, mit dem unterschiedliche Parameter einer Oracle-Datenbank überprüft werden können.

%prep
%setup -n %{pkg_name}-%{version}
./configure \
--prefix=%{_prefix} \
--exec-prefix=%{_prefix} \
--libexecdir=%{_prefix}/lib/nagios/plugins \
--sysconfdir=%{_sysconfdir}/nagios \
--datadir=%{_datadir}

%build
%__make

%install
mkdir -p %{buildroot}%{_prefix}/lib/nagios/plugins
%__make DESTDIR=%{buildroot} install
cd ${RPM_BUILD_ROOT}%{_prefix}/lib/nagios/plugins
for PLUGIN in check_oracle_health ; do
  sed -i s@"nagios/plugins"@"%{_prefix}/lib/nagios/plugins"@g ${PLUGIN}
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/check_oracle_health
%doc AUTHORS ChangeLog README COPYING

%changelog
* Mon Jan 21 2019 Local OBS User <cs@linux-administrator.com>
- update to version 3.1.2.2
* Thu Aug 11 2016 cs@linux-administrator.com
- update to version 2.1.3.5
* Fri Oct 23 2015 cs@linux-administrator.com
- update to version 2.1.2
* Sat Feb 23 2013 cs@linux-administrator.com
- update to verson 1.7.7.3
* Fri Sep 30 2011 cs@linux-administrator.com
- update to version 1.7.3
* Tue Sep 27 2011 cs@linux-administrator.com
- update to version 1.7.2
* Mon Aug 22 2011 cs@linux-administrator.com
- update to version 1.7.1
* Sat Jun 18 2011 cs@linux-administrator.com
- update to version 1.6.9
